# server Connects to the specified server
Syntax
    server [switches] [<server> [<port>]]
Description
Attempts a connection to the specified <server> on the specified <port>. If no <port> is specified the default 6667 is used. If no <server> is specified, the currently selected server from the server list is used. If the <server> is a valid IPV6 address, the -i switch is implied. The <server> is added to the server list (if not already there) and set as current. If <server> doesn't seem to be a valid ip address or hostname it is assumed to be a network name and if such a network is found in the server list then the best server for that network is contacted. (KVIrc tries to guess the round-robin (random) servers first). The connection is attempted in the current IRC context. If there is already a connection in progress then it is "brutally" terminated.
Switches
-b=<local address>
Bind the outgoing connection to <local address>. The <local address> must be the IP address of a local interface suitable for contacting the remote <server>: this means that if you're going to use the -i switch, the <local address> must be an IPV6 address. On most systems it is also possible to use a local interface name as <local address>; in this way the interface address can be resolved at runtime by the KVIrc network engine.
-c=<command sequence>
The <command sequence> will be executed just after the login operations have been completed.
-f=<socket filter>
Activates <socket filter> on the connection. A socket filter is a plugin that can adapt the IRC protocol to other existing protocols such as OpenNap. For plain IRC it is not needed.
-i
Makes the connection by using the IPV6 protocol (if supported by the executable)
-n
Forces the connection to be attempted in a new IRC context instead of the current one.
-p=<password>
Uses <password> to login to the server (the password will be stored in the server entry too).
-q=<nick>
Uses <nick> to login to the server (the nicknames will be stored in the server entry too).
-s
Activates the SSL support for this connection
-u
Forces the connection to be attempted in the first IRC context that has no connection in progress. If all the IRC contexts have connections in progress then a new one is created.
Examples
        server irc.tin.it
        server -i irc6.ircd.it
        server -i ircd.stealth.net 6667
        server irc.undernet.org 6665
        server -n irc.openprojects.net
        server -c="join #kvirc" irc.stealth.net 6665
        server -b=ppp0 irc.tin.it
        server undernet

Index, Commands

KVIrc 3.2.0 Documentation
Generated by root at Tue Dec 4 07:16:18 2007